summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--scripts/scan-tools.sh38
1 files changed, 12 insertions, 26 deletions
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 930e8df0b..df018c7a9 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -5,11 +5,6 @@ shopt -s extglob
topdir=$(pwd)
opath=$PATH
out=0
-if [ -z $(which gmake 2>/dev/null ) ];then
- makecmd=$(which make 2>/dev/null )
-else
- makecmd=$(which gmake 2>/dev/null )
-fi
if [[ $NO_ERROR != @(0|1) ]]; then
echo Please do not invoke this script directly!
@@ -58,6 +53,11 @@ CYG*)
NetBSD)
;;
OpenBSD)
+ if ! which gmake >/dev/null 2>&1; then
+ echo You must install GNU make to continue.
+ echo
+ out=1
+ fi
;;
Darwin*)
;;
@@ -71,6 +71,12 @@ esac
set +e
+if [ -z $(which gmake 2>/dev/null ) ];then
+ makecmd=$(which make 2>/dev/null )
+else
+ makecmd=$(which gmake 2>/dev/null )
+fi
+
cat >Makefile <<'EOF'
include ${TOPDIR}/prereq.mk
all: run-test
@@ -171,7 +177,7 @@ if ! which perl >/dev/null 2>&1; then
fi
if ! which g++ >/dev/null 2>&1; then
- echo "You need g++ (GNU C++ compiler) to continue."
+ echo "You need a C++ compiler to continue."
echo
out=1
fi
@@ -179,55 +185,46 @@ fi
# always required, but can be provided by host
host_build_bc=0
if ! which bc >/dev/null 2>&1; then
- echo "No bc found, will build one."
host_build_bc=1
fi
host_build_bison=0
if ! which bison >/dev/null 2>&1; then
- echo "No bison found, will build one."
host_build_bison=1
fi
host_build_bzip2=0
if ! which bzip2 >/dev/null 2>&1; then
- echo "No bzip2 found, will build one."
host_build_bzip2=1
fi
host_build_file=0
if ! which file >/dev/null 2>&1; then
- echo "No file found, will build one."
host_build_file=1
fi
host_build_flex=0
if ! which flex >/dev/null 2>&1; then
- echo "No flex found, will build one."
host_build_m4=1
fi
host_build_m4=0
if ! which m4 >/dev/null 2>&1; then
- echo "No m4 found, will build one."
host_build_m4=1
fi
host_build_mksh=0
if ! which mksh >/dev/null 2>&1; then
- echo "No mksh found, will build one."
host_build_mksh=1
fi
host_build_patch=0
if ! which patch >/dev/null 2>&1; then
- echo "No patch found, will build one."
host_build_patch=1
fi
host_build_pkgconf=0
if ! which pkgconf >/dev/null 2>&1; then
- echo "No pkgconf found, will build one."
host_build_pkgconf=1
fi
@@ -235,7 +232,6 @@ host_build_findutils=0
if ! which gxargs >/dev/null 2>&1; then
if which xargs >/dev/null 2>&1; then
if ! xargs --version 2>/dev/null|grep GNU >/dev/null;then
- echo "No GNU xargs found, will build one."
host_build_findutils=1
fi
fi
@@ -244,7 +240,6 @@ fi
if ! which gfind >/dev/null 2>&1; then
if which find >/dev/null 2>&1; then
if ! find --version 2>/dev/null|grep GNU >/dev/null;then
- echo "No GNU find found, will build one."
host_build_findutils=1
fi
fi
@@ -252,7 +247,6 @@ fi
host_build_gawk=0
if ! which gawk >/dev/null 2>&1; then
- echo "No gawk found, will build one."
host_build_gawk=1
fi
@@ -260,7 +254,6 @@ host_build_sed=0
if ! which gsed >/dev/null 2>&1; then
if which sed >/dev/null 2>&1; then
if ! sed --version 2>/dev/null|grep GNU >/dev/null;then
- echo "No GNU sed found, will build one."
host_build_sed=1
fi
fi
@@ -268,44 +261,37 @@ fi
host_build_xz=0
if ! which xz >/dev/null 2>&1; then
- echo "No xz found, will build one."
host_build_xz=1
fi
# optional
host_build_cdrtools=0
if ! which mkisofs >/dev/null 2>&1; then
- echo "No mkisofs found, will build one when required."
host_build_cdrtools=1
fi
host_build_ccache=0
if ! which ccache >/dev/null 2>&1; then
- echo "No ccache found, will build one when required."
host_build_ccache=1
fi
host_build_genext2fs=0
if ! which genext2fs >/dev/null 2>&1; then
- echo "No genext2fs found, will build one when required."
host_build_genext2fs=1
fi
host_build_lzma=0
if ! which lzma >/dev/null 2>&1; then
- echo "No lzma found, will build one when required."
host_build_lzma=1
fi
host_build_lzop=0
if ! which lzop >/dev/null 2>&1; then
- echo "No lzop found, will build one when required."
host_build_lzop=1
fi
host_build_qemu=0
if ! which qemu-img >/dev/null 2>&1; then
- echo "No qemu found, will build one when required."
host_build_qemu=1
fi